<?php

namespace App\Services\Equipment;

use App\Models\Equipment\LineModel;

class LineService extends EquipmentService
{
    public function __construct()
    {
        parent::__construct(new LineModel());
        $this->addClassName('Line');
    }
    public function getFormFields(): array
    {
        return [
            'fields'  => [
                "type",
                "title",
                "bandwith",
                "start_at",
                "end_at",
                "status",
            ],
            'filters' => [
                "type",
                'status',
            ],
        ];
    }
    public function getIndexFields(): array
    {
        return [
            'fields'            => [
                'type',
                'title',
                'bandwith',
                "start_at",
                "end_at",
                'status'
            ],
            'filters'           => [
                "type",
                'status',
            ],
        ];
    }
    public function getBatchjobFields(): array
    {
        return ['status'];
    }
    //기본 기능부분}
}
